RTEMS: Clock Manager Status

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
Clock Manager Status
Board Support Packages » ARM » Intel Cyclone V » Contributed Code » The Clock Manager API

## Typedefs
typedef enum ALT_CLK_PLL_LOCK_STATUS_e | ALT_CLK_PLL_LOCK_STATUS_t

## Enumerations
enum | ALT_CLK_PLL_LOCK_STATUS_e { ALT_MAIN_PLL_LOCK_ACHV = 0x00000001 , ALT_PERIPH_PLL_LOCK_ACHV = 0x00000002 , ALT_SDR_PLL_LOCK_ACHV = 0x00000004 , ALT_MAIN_PLL_LOCK_LOST = 0x00000008 , ALT_PERIPH_PLL_LOCK_LOST = 0x00000010 , ALT_SDR_PLL_LOCK_LOST = 0x00000020 }

## Functions
ALT_STATUS_CODE | alt_clk_lock_status_clear (ALT_CLK_PLL_LOCK_STATUS_t lock_stat_mask)
uint32_t | alt_clk_lock_status_get (void)
ALT_STATUS_CODE | alt_clk_pll_is_locked (ALT_CLK_t pll)

## Detailed Description

This functional group provides status information on various aspects and properties of the Clock Manager state.

## Typedef Documentation

## ◆ ALT_CLK_PLL_LOCK_STATUS_t

typedef enum ALT_CLK_PLL_LOCK_STATUS_e ALT_CLK_PLL_LOCK_STATUS_t

This type definition defines the lock condition status codes for each of the PLLs. If the PLL lock status condition is enabled (See: alt_clk_irq_enable()) then it contributes to the overall clkmgr_IRQ signal assertion state.

## Enumeration Type Documentation

## ◆ ALT_CLK_PLL_LOCK_STATUS_e

enum ALT_CLK_PLL_LOCK_STATUS_e

This type definition defines the lock condition status codes for each of the PLLs. If the PLL lock status condition is enabled (See: alt_clk_irq_enable()) then it contributes to the overall clkmgr_IRQ signal assertion state.

Enumerator
ALT_MAIN_PLL_LOCK_ACHV | This condition is set if the Main PLL has achieved lock at least once since this condition was last cleared.
ALT_PERIPH_PLL_LOCK_ACHV | This condition is set if the Peripheral PLL has achieved lock at least once since this condition was last cleared.
ALT_SDR_PLL_LOCK_ACHV | This condition is set if the SDRAM PLL has achieved lock at least once since this condition was last cleared.
ALT_MAIN_PLL_LOCK_LOST | This condition is set if the Main PLL has lost lock at least once since this condition was last cleared.
ALT_PERIPH_PLL_LOCK_LOST | This condition is set if the Peripheral PLL has lost lock at least once since this condition was last cleared.
ALT_SDR_PLL_LOCK_LOST | This condition is set if the SDRAM PLL has lost lock at least once since this condition was last cleared.

## Function Documentation

## ◆ alt_clk_lock_status_clear()

ALT_STATUS_CODE alt_clk_lock_status_clear | ( | ALT_CLK_PLL_LOCK_STATUS_t | lock_stat_mask | ) |

Clear the selected PLL lock status conditions.

This function clears assertions of one or more of the PLL lock status conditions.

NOTE: This function is used to clear clkmgr_IRQ interrupt signal source assertion conditions.

Parameters

  lock_stat_mask | Specifies the PLL lock status conditions to clear. lock_stat_mask is a mask of logically OR'ed ALT_CLK_PLL_LOCK_STATUS_t values designating the PLL lock conditions to clear.

Return values

  ALT_E_SUCCESS | Successful status.
  ALT_E_BAD_ARG | The lock_stat_mask argument contains an unknown condition value.

## ◆ alt_clk_lock_status_get()

uint32_t alt_clk_lock_status_get | ( | void |  | ) |

Returns the PLL lock status condition values.

This function returns the value of the PLL lock status conditions.

Returns
  The current values of the PLL lock status conditions as defined by the ALT_CLK_PLL_LOCK_STATUS_t mask bits. If the corresponding bit is set then the condition is asserted.

## ◆ alt_clk_pll_is_locked()

ALT_STATUS_CODE alt_clk_pll_is_locked | ( | ALT_CLK_t | pll | ) |

Returns ALT_E_TRUE if the designated PLL is currently locked and ALT_E_FALSE otherwise.

Parameters

  pll | The PLL to return the lock status of.

Return values

  ALT_E_TRUE | The specified PLL is currently locked.
  ALT_E_FALSE | The specified PLL is currently not locked.
  ALT_E_BAD_ARG | The pll argument designates a non PLL clock value.